/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
:root {
	
	/* -- DIMENSIONI ------------------------------------------------ */
	/*--w1401: 80vw;
	--w1100: 70vw;
	--w900: 70ch;
	--w767: 60ch;
	--w551: 45ch;*/
	
	/* -- FONT ------------------------------------------------ */
	--font-display: "Montserrat", sans-serif;
	
	/* -- FONT SIZE ------------------------------------------------ */ 
	/*--fs-20: clamp(0.875rem, calc(0.375vw + 0.8rem), 1.25rem);
	--fs-25: clamp(0.875rem, calc(0.6875vw + 0.7375rem), 1.5625rem);
	--fs-30: clamp(0.875rem, calc(1vw + 0.675rem), 1.875rem);
	--fs-40: clamp(0.875rem, calc(1.625vw + 0.55rem), 2.5rem);
	--fs-50: clamp(2rem, calc(1.125vw + 1.775rem), 3.125rem);
	--fs-60: clamp(2rem, calc(1.75vw + 1.65rem), 3.75rem);
	--fs-100: clamp(0.875rem, calc(5.375vw - 0.2rem), 6.25rem);*/
	
	/* -- PESI ------------------------------------------------ */
	 --fw-300: 300;
	 --fw-500: 500;
	 --fw-700: 700;
	
	/* -- SPACE ------------------------------------------------ */
	--space-2 : clamp(1rem, 0.7vw + 0.5rem, 1.5rem);   /* 16 – 24 px */
	--space-3 : clamp(1.5rem, 0.8vw + 0.75rem, 2rem);  /* 24 – 32 px */
	--space-4 : clamp(2rem, 1vw + 1rem, 2.5rem);       /* 32 – 40 px */
	--space-6 : clamp(3rem, 2vw + 1rem, 4rem);         /* 48 – 64 px */
	--space-8 : clamp(4rem, 2.5vw + 1rem, 6rem);       /* 64 – 96 px */
	--space-10: clamp(5rem, 3vw + 1.5rem, 7rem);       /* 80 – 112 px */
	/*--space-12: clamp(6rem, 4vw + 2rem, 8rem);*/         /* 96 – 128 px */
	--space-12: clamp(4rem, 4vw + 2rem, 8rem);
	
	/* -- COLORI ------------------------------------------------ */
	--clr-white: #ffffff;
	--clr-green-light: #82b4b6;
	
}

div#page {
    height: 100dvh;
}
.site-content, div#primary, main#main, article.page, .inside-article, .entry-content, .comingSoon {
    height: 100%;
}
.comingSoon {
	background-size: cover !important;
}
.innerComingSoon {
    display: flex;
	flex-direction: column;
    justify-content: center;
    align-items: start;
	margin: auto;
	height: 100%;
}
h2.comingTitle{
	font-family: var(--font-display);
	color: var(--clr-green-light);
	font-weight: var(--fw-700);
	margin-block: var(--space-8) var(--space-10);
}
p.comingText{
	font-family: var(--font-display);
	color: var(--clr-white);
	font-weight: var(--fw-300);
	margin-bottom: 0;
}
p.comingText a{
	color: var(--clr-green-light);
	text-decoration: none;
	font-weight: var(--fw-700);
}
@media (width <= 550px){
	.comingSoon {
		background-image: url('/wp-content/uploads/2025/09/brixiaComing550.webp');
	}
	.innerComingSoon{
		max-width: 88vw;
	}
	.innerComingSoon img {
		width: 83vw;
	}
	h2.comingTitle{
		font-size: 7.3vw;
	}
	p.comingText {
		font-size: 5.45vw;
	}
}
@media (width >= 551px) and (width <= 766.9px){
	.comingSoon {
		background-image: url('/wp-content/uploads/2025/09/brixiaComing551.webp');
	}
	.innerComingSoon{
		max-width: 85vw;
	}
	.innerComingSoon img {
		width: 86vw;
	}
	h2.comingTitle{
		font-size: 7.2vw;
		width: 86vw;
	}
	p.comingText {
		font-size: 4.6vw;
	}
}
@media (width >= 767px) and (width <= 899.9px){
	.comingSoon {
		background-image: url('/wp-content/uploads/2025/09/brixiaComing767.webp');
	}
	.innerComingSoon{
		max-width: 85vw;
	}
	.innerComingSoon img {
		width: 66vw;
	}
	h2.comingTitle{
		font-size: 5.6vw;
		width: 66vw;
	}
	p.comingText {
		font-size: 3.8vw;
	}
}
@media (width >= 900px) and (width <= 1099.9px){
	.comingSoon {
		background-image: url('/wp-content/uploads/2025/09/brixiaComing1000.webp');
	}
	.innerComingSoon{
		max-width: 85vw;
	}
	.innerComingSoon img {
		width: 46vw;
	}
	h2.comingTitle{
		font-size: 3.9vw;
		width: 46vw;
	}
	p.comingText {
		font-size: 3.22vw;
	}
}
@media (width >= 1100px) and (width <= 1400px){
	.comingSoon {
		background-image: url('/wp-content/uploads/2025/09/brixiaComing1200.webp');
	}
	.innerComingSoon{
		max-width: 85vw;
	}
	.innerComingSoon img {
		width: 57vw;
	}
	h2.comingTitle{
		font-size: 4.8vw;
		width: 57vw;
	}
	p.comingText {
		font-size: 2.64vw;
	}
}
@media (width >= 1401px){
	.comingSoon {
		background-image: url('/wp-content/uploads/2025/09/brixiaComingSoon.webp');
	}
	.innerComingSoon{
		max-width: 80vw;
	}
	.innerComingSoon img {
		width: 38vw;
	}
	h2.comingTitle{
		font-size: 3.13vw;
		width: 38vw;
	}
	p.comingText {
		font-size: 2.1vw;
	}
}